apiVersion: apps/v1
kind: Deployment
metadata:
  name: loans-deployment
  labels:
    app: loans
spec:
  replicas: 1
  selector:
    matchLabels:
      app: loans
  template:
    metadata:
      labels:
        app: loans
    spec:
      containers:
        - name: loans
          image: aqilzeka/loan-ms:latest
          ports:
            - containerPort: 8090
          env:
            - name: SPRING_PROFILES_ACTIVE
              valueFrom:
                configMapKeyRef:
                  name: eazybank-configmap
                  key: SPRING_PROFILES_ACTIVE
            - name: SPRING_ZIPKIN_BASEURL
              valueFrom:
                configMapKeyRef:
                  name: eazybank-configmap
                  key: SPRING_ZIPKIN_BASEURL
            - name: SPRING_CONFIG_IMPORT
              valueFrom:
                configMapKeyRef:
                  name: eazybank-configmap
                  key: SPRING_CONFIG_IMPORT
            - name: EUREKA_CLIENT_SERVICEURL_DEFAULTZONE
              valueFrom:
                configMapKeyRef:
                  name: eazybank-configmap
                  key: EUREKA_CLIENT_SERVICEURL_DEFAULTZONE
---
apiVersion: v1
kind: Service
metadata:
  name: loans-service
spec:
  selector:
    app: loans
  type: LoadBalancer
  ports:
    - protocol: TCP
      port: 8090
      targetPort: 8090